## turpial 1.6.6~rc1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Turpial.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Turpial.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## turpial 1.5.0~rc1

=== debian/changelog ===
turpial (1.5.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.
  * Drop unneeded patch 01_desktop.diff.

 -- Miguel Landaeta <miguel@miguel.cc>  Sun, 01 May 2011 19:45:37 -0430

turpial (1.5.0~b8-1) unstable; urgency=low

  * New upstream release.
  * Replace Build-Depends on python with python-all and set the minimal
    version as (>= 2.6.6-3~) since this package is built with dh_python2.
  * Make copyright file really DEP5 compliant and apply GPL-3+ license
    terms correctly.
  * Remove bundled copy of python-oauth from the binary package and add a
    Depends on that.
  * Fix dh7 helper invocation in debian/rules and add other minor fixes.
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Drop Depends on python-pygame.
  * Add Depends on python-gst0.10 and gstreamer0.10-plugins-base.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 20 Apr 2011 19:06:56 -0430

turpial (1.5.0~b4-1) unstable; urgency=low

  * Initial release. (Closes: #578469).

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 18 Feb 2011 12:15:04 -0430

=== debian/control ===
Source: turpial
Section: python
Priority: optional
Maintainer: Efrain Valles Pulgar <effie.jayx@gmail.com>
Uploaders: Miguel Landaeta <miguel@miguel.cc>, Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all (>= 2.6.6-3~), python-setuptools,
 python-pybabel, python-docutils
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Vcs-Git: git://git.debian.org/git/collab-maint/turpial.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/turpial.git
Homepage: http://turpial.org.ve/

Package: turpial
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-simplejson (>= 1.9.2),
 python-gtk2 (>= 2.12.0), python-notify (>= 0.1.1), python-gst0.10,
 python-webkit (>= 1.1.2), python-gtkspell, python-pkg-resources, python-oauth,
 gstreamer0.10-plugins-base
Description: Light, fast, and fully functional Twitter client written in Python
 Turpial is a microblogging client for social networks like Twitter, and
 Identi.ca.
 .
 It is developed under a strict diet in order to consume very few resources,
 so it is a perfect choice to be used with netbooks, and systems with limited
 specs.
 .
 Turpial also has desktop integration features like notifications, and themes.
 It includes convenient features like muting users, and url shorteners.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	rst2man debian/turpial.rst turpial.1

override_dh_install:
	dh_install
	find debian/turpial/usr -type f -iname '*.png' -exec chmod 0644 {} \;
	find debian/turpial/usr -type f -name 'oauth.py' -delete
	rm debian/turpial/usr/share/doc/turpial/COPYING

override_dh_clean:
	dh_clean
	-find turpial -type f -name 'turpial.mo' -delete
	rm -rf turpial.1 turpial.egg-info

=== debian/watch ===
version=3
opts=uversionmangle=s/-(b|rc)([0-9])+/~$1$2/ \
http://turpial.org.ve/files/sources/development/ turpial-(.*)\.tar\.gz

## turpial 1.5.0

=== debian/changelog ===
turpial (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 25 May 2011 21:24:10 -0430

=== debian/watch ===
version=3
http://turpial.org.ve/files/sources/stable/ turpial-(.*)\.tar\.gz

## turpial 1.6.5~b6

=== debian/changelog ===
turpial (1.6.5~b6-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Fri, 07 Oct 2011 20:04:36 -0430

turpial (1.6.5~b4-2) unstable; urgency=low

  * Upload to unstable.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 01 Oct 2011 10:14:34 -0430

turpial (1.6.5~b4-1) experimental; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 21 Sep 2011 19:23:22 -0430

turpial (1.6.5~b3-1) experimental; urgency=low

  [ Miguel Landaeta ]
  * New upstream release.
  * Update Maintainers and Uploaders lists.
  * Update watch file.

  [ Muammar El Khatib ]
  * Set DMUA flag.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 03 Sep 2011 17:12:42 -0430

## turpial 1.6.6~b1

=== debian/changelog ===
turpial (1.6.6~b1-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Mon, 31 Oct 2011 21:07:35 -0500

=== debian/watch ===
version=3
opts=uversionmangle=s/-b([0-9])+/~b$1/ \
http://turpial.org.ve/files/sources/development/ turpial-(.*)\.tar\.gz

## turpial 1.6.6~rc1

=== debian/changelog ===
turpial (1.6.6~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 12 Nov 2011 18:26:28 -0430

## turpial 1.6.6

=== debian/changelog ===
turpial (1.6.6-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Wed, 23 Nov 2011 18:35:10 -0430

=== debian/watch ===
version=3
opts=uversionmangle=s/-(b|rc)([0-9])+/~$1$2/ \
http://turpial.org.ve/files/sources/stable/ turpial-(.*)\.tar\.gz

## turpial 1.6.7-1+ds1

=== debian/changelog ===
turpial (1.6.7-1+ds1-1) unstable; urgency=high

  * New upstream release. (Closes: #631422).
  * Include patch to set path of SSL CA certificates.
  * Update watch file.

 -- Miguel Landaeta <miguel@miguel.cc>  Thu, 05 Jan 2012 18:37:32 -0430

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: turpial
 Section: python
 Priority: optional
-Maintainer: Efrain Valles Pulgar <effie.jayx@gmail.com>
-Uploaders: Miguel Landaeta <miguel@miguel.cc>, Miriam Ruiz <miriam@debian.org>
+Maintainer: Miguel Landaeta <miguel@miguel.cc>
+Uploaders: Efrain Valles Pulgar <effie.jayx@gmail.com>,
+ Miriam Ruiz <miriam@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python-all (>= 2.6.6-3~), python-setuptools,
  python-pybabel, python-docutils
+DM-Upload-Allowed: yes
 Standards-Version: 3.9.2
 X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/git/collab-maint/turpial.git

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,11 @@
 	dh_install
 	find debian/turpial/usr -type f -iname '*.png' -exec chmod 0644 {} \;
 	find debian/turpial/usr -type f -name 'oauth.py' -delete
-	rm debian/turpial/usr/share/doc/turpial/COPYING
+	cd debian/turpial/usr && rm -f AUTHORS TRANSLATORS share/doc/turpial/COPYING
+
+override_dh_installchangelogs:
+	dh_installchangelogs
+	rm -f debian/turpial/usr/share/doc/turpial/ChangeLog
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/-(b|rc)([0-9])+/~$1$2/,\
dversionmangle=s/\+ds\d+$// \
http://turpial.org.ve/files/sources/stable/ turpial-(.*)\.tar\.gz

## turpial 1.6.9

=== debian/changelog ===
turpial (1.6.9-1) unstable; urgency=low

  * New upstream release.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 04 Feb 2012 14:25:46 -0430

## turpial 3.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	rst2man debian/turpial.rst turpial.1

override_dh_install:
	dh_install
	# this is to avoid extra-license-file usr/share/doc/turpial/COPYING.gz
	cd debian/turpial/usr && rm -f share/doc/turpial/COPYING

override_dh_clean:
	dh_clean
	rm -rf turpial.1 turpial.egg-info

get-orig-source:
	cd $(dir $(firstword $(MAKEFILE_LIST)))../ && \
	uscan --no-conf --rename --force-download --destdir $(CURDIR)

## turpial 3.0+dfsg

=== debian/changelog ===
turpial (3.0+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 02 Jan 2014 23:30:37 -0300

turpial (3.0+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #730357).
    With this upload Turpial is back in the archive.
  * Update Uploaders list since I'm the only maintainer nowadays.
  * Update dependencies list.
  * Remove obsolete field DM-Upload-Allowed.
  * Bump Standards-Version to 3.9.5. No changes were required.
  * Remove unneccesary patches.
  * Update copyright file.
  * Update watch file.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 22 Dec 2013 14:52:01 -0300

=== debian/control ===
Source: turpial
Section: net
Priority: optional
Maintainer: Miguel Landaeta <nomadium@debian.org>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep: python-all (>= 2.6.6-3~), python-setuptools,
 python-pybabel, python-docutils
Standards-Version: 3.9.5
X-Python-Version: >= 2.5
Vcs-Git: git://anonscm.debian.org/collab-maint/turpial.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/turpial.git
Homepage: http://turpial.org.ve/

Package: turpial
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2 (>= 2.12.0),
 python-qt4, python-notify (>= 0.1.1), python-gst0.10, python-webkit (>= 1.1.2),
 python-pkg-resources, gstreamer0.10-plugins-base, python-libturpial (>= 0.8~),
 python-jinja2
Description: Light, fast, and fully functional Twitter client written in Python
 Turpial is a microblogging client for social networks like Twitter and
 StatusNet.
 .
 It is developed under a strict diet in order to consume very few resources,
 so it is a perfect choice to be used with netbooks, and systems with limited
 specs.
 .
 Turpial also has desktop integration features like notifications, and themes.
 It includes convenient features like muting users, and url shorteners.
